import java.util.Scanner;

public class Mirrors {
	public static String reverse(String s)
	{
		String res = "";
		for(int i = s.length() - 1; i >= 0; i--)
			res += s.charAt(i);
		return res;
	}
	public static String chunk(String s, int n)
	{
		String res = "";
		int start  = 0;
		int end    = n;
		int cuts   = s.length() / n;

		for(int i = 0; i <= cuts; i++)
		{
			String part = s.substring(start, end);
			start 		=  start + n;
			end			= Math.min(s.length(), start + n);
			res			+= reverse(part);
			
		}
		return res;
	}
	public static void main(String[] args)
	{
		@SuppressWarnings("resource")
		Scanner scan = new Scanner(System.in);
		int n; String str;
		
		System.out.print("n: ");
		n 	= scan.nextInt();
		scan.nextLine();
		System.out.print("sentence: ");
		str = scan.nextLine();
		
		System.out.println(chunk(str, n));
	}
}
